Upgrade jmake to 1.3.8-1.

Review Request #282 — Created April 28, 2014 and submitted

jsirois
pants
jsirois/jmake/upgrade
85
pants-reviews
benjyw
commit c9e81c08db5be5074009d9414206f355d9a90017
Author: John Sirois <jsirois@twitter.com>
Date:   Mon Apr 28 10:35:56 2014 -0600

    Upgrade jmake to 1.3.8-1.
    
    Also fixes old twitter-commons cache dir name.

 BUILD.tools                       | 2 +-
 build-support/ivy/ivysettings.xml | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
$ ./pants goal test tests/{java,scala}::
...
10:35:03 00:12           [jmake]
                         warning: bootstrap class path not set in conjunction with -source 1.6
                         Jmake version 1.3.8-1
                         Writing project database...  Done.
                         
10:35:05 00:14         [find-missing-dependencies]
...
10:35:15 00:24   [test]
10:35:15 00:24     [junit]
10:35:15 00:24       [bootstrap-junit]
10:35:16 00:25       [run]
                     .......
                     Time: 0.165
                     
                     OK (7 tests)
                     
                     
10:35:17 00:26     [specs]
               Waiting for background workers to finish.
               SUCCESS
BE
  1. What's new/changed in this jmake version?
    1. Basically nothing.  See: https://groups.google.com/d/topic/pants-devel/diCYoTn7OWQ/discussion
      1.) kenai changeset 27 merge: https://github.com/pantsbuild/jmake/commit/1134b822538bcd2eaac70d8dee7cd83e7a87fd46
      2.) ant import fix: https://github.com/pantsbuild/jmake/commit/ec9217e197bcca0e38e57a01dfdf613539a1bbb4
      
      
  2. 
      
JS
  1. Thanks - submitted.
  2. 
      
JS
Review request changed

Status: Closed (submitted)

Loading...